LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
04710Bug reports[All Projects] Statisticspublic2010-10-31 16:122010-11-10 17:17
ReporterT34 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version1.90+ 
Target VersionFixed in Version1.90+ 
Summary04710: Question marks instead cyrillic in PDF exported files
DescriptionI have this problem exporting statistics in PDF file — only the question marks instead cyrillic symbols at the top side of PDF statistics files and in menu of PDF reader.

I include the follow string in config.php :

$chartfontfile='arialn.ttf';
$pdfdefaultfont='arialunicid0';

but it only fixes the font of diagrams and changes the font of the string under the top.
Steps To ReproduceInsert the survey's name, descriptions, questions etc. in Russian;
Export statistics to PDF file
Open it using PDF reader.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID9343
BrowserOpera 10.63, Firefox 3.6.2, Safari 5.0.2
Database & DB-VersionMySQL 5.0.84-log
Operating System (Server)FreeBSD 6.4-RELEASE-p7
Webserver software & versionApache 1.3.41 (Unix)
PHP Version5.2
Attached Filesgif file icon scr5.gif [^] (26,894 bytes) 2010-10-31 16:12


gif file icon scr4.gif [^] (15,635 bytes) 2010-10-31 16:13


7z file icon limesurvey_survey_55791_2.lss.7z [^] (6,015 bytes) 2010-11-01 05:17
gif file icon QS.gif [^] (8,454 bytes) 2010-11-02 19:53

- Relationships
has duplicate 04716closedc_schmitz Wrong cyrillic characters in exported PDF file 
has duplicate 04717closedc_schmitz Question marks instead cyrillic in menu of PDF viewer at review exported PDF files 

-  Notes
User avatar (13381)
T34 (reporter)
2010-10-31 16:17

I have the same issue using LimeService
User avatar (13382)
c_schmitz (administrator)
2010-10-31 23:09

Please attach a short sample survey
User avatar (13383)
T34 (reporter)
2010-11-01 05:17

Yes, the survey is attached now.
User avatar (13395)
c_schmitz (administrator)
2010-11-02 16:23

Fixed in rev 9398
User avatar (13397)
T34 (reporter)
2010-11-02 16:29
edited on: 2010-11-02 16:30

Thanks! When rev 9398 shall be available for download?

User avatar (13398)
Mazi (developer)
2010-11-02 18:20

We offer bugfix releases nearly every Tuesday evening.
User avatar (13399)
T34 (reporter)
2010-11-02 18:22

Thanks, I'm waiting! :)
User avatar (13400)
T34 (reporter)
2010-11-02 19:11
edited on: 2010-11-02 21:00

I have try the new statistics_function.php from here:

http://limesurvey.svn.sourceforge.net/viewvc/limesurvey/source/limesurvey/admin/statistics_function.php?view=markup&pathrev=9398 [^]

It solves the 1st part of issue, it's great!!! :)

But the characters in string "Quick statistics" (the first string in the top) and in the headers of tables are allocated is too close to each other. It doesn't looks fine (see "QS.gif" image attached).

And also this issue doesn't resolved completely — the second problem from this issue isn't solved: there are question marks in Mac OS and empty squares in Win instead the spaces before and after the strings still in menu of PDF viewer. See "scr5.gif" image, attached in issue.

I see that Limesurvey inserts this spaces automatically when admin places cursor to the "Question" field writing the text of the question, this is a mistake #1. Then statistics prints this spaces in PDF non correctly, this is #2.

User avatar (13440)
c_schmitz (administrator)
2010-11-05 22:28

Appearance of fonts depends on the font used - I don't think there is anything we can currently do about it.
Bookmars are fixed in rev 9427
User avatar (13448)
T34 (reporter)
2010-11-06 20:33

Thanks a lot!
User avatar (13476)
T34 (reporter)
2010-11-09 16:44

Archiv utf8_cyr_msfonts.rar attached.
It contains MS fonts that support Cyrillic UTF-8.
Based on "Smart package of Microsoft's core fonts" (http://sourceforge.net/projects/corefonts/ [^]).
Licence: EULA (http://corefonts.sourceforge.net/eula.htm [^])
User avatar (13486)
c_schmitz (administrator)
2010-11-10 17:17

Released in latest Stable Plus version.

- Issue History
Date Modified Username Field Change
2010-10-31 16:12 T34 New Issue
2010-10-31 16:12 T34 File Added: scr5.gif
2010-10-31 16:13 T34 File Added: scr4.gif
2010-10-31 16:17 T34 Note Added: 13381
2010-10-31 23:09 c_schmitz Note Added: 13382
2010-10-31 23:09 c_schmitz Assigned To => c_schmitz
2010-10-31 23:09 c_schmitz Status new => feedback
2010-11-01 05:17 T34 File Added: limesurvey_survey_55791_2.lss.7z
2010-11-01 05:17 T34 Note Added: 13383
2010-11-01 05:17 T34 Status feedback => assigned
2010-11-02 16:23 c_schmitz Note Added: 13395
2010-11-02 16:23 c_schmitz Status assigned => resolved
2010-11-02 16:23 c_schmitz Fixed in Version => 1.90+
2010-11-02 16:23 c_schmitz Resolution open => fixed
2010-11-02 16:29 T34 Note Added: 13397
2010-11-02 16:30 T34 Note Edited: 13397 View Revisions
2010-11-02 18:20 Mazi Note Added: 13398
2010-11-02 18:22 T34 Note Added: 13399
2010-11-02 19:11 T34 Note Added: 13400
2010-11-02 19:17 T34 Note Edited: 13400 View Revisions
2010-11-02 19:33 c_schmitz Status resolved => assigned
2010-11-02 19:44 T34 Note Edited: 13400 View Revisions
2010-11-02 19:45 T34 Note Edited: 13400 View Revisions
2010-11-02 19:45 T34 Note Edited: 13400 View Revisions
2010-11-02 19:45 T34 Note Edited: 13400 View Revisions
2010-11-02 19:53 T34 File Added: QS.gif
2010-11-02 19:54 T34 Note Edited: 13400 View Revisions
2010-11-02 19:55 T34 Note Edited: 13400 View Revisions
2010-11-02 19:56 T34 Note Edited: 13400 View Revisions
2010-11-02 19:56 T34 Note Edited: 13400 View Revisions
2010-11-02 20:17 T34 Note Edited: 13400 View Revisions
2010-11-02 20:25 T34 Note Edited: 13400 View Revisions
2010-11-02 21:00 T34 Note Edited: 13400 View Revisions
2010-11-04 15:20 Mazi Relationship added related to 04716
2010-11-05 22:28 c_schmitz Note Added: 13440
2010-11-05 22:28 c_schmitz Status assigned => resolved
2010-11-05 22:30 c_schmitz Relationship replaced has duplicate 04716
2010-11-05 23:27 c_schmitz Relationship added has duplicate 04717
2010-11-06 20:33 T34 Note Added: 13448
2010-11-09 16:40 T34 File Added: utf8_cyr_msfonts.rar
2010-11-09 16:44 T34 Note Added: 13476
2010-11-10 17:17 c_schmitz Note Added: 13486
2010-11-10 17:17 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker